安装 memwatch 失败
发布于 5 年前 作者 gvforjob 5276 次浏览 最后一次编辑是 3 年前 来自 问答

请问 npm install memwatch 时报错是什么原因吗?因为没安装Python?可我装了之后还是报错,难道是姿势不对?

QQ图片20141204164443.jpg

8 回复

如果调试到最后发现问题在于 windows 的话,楼主会不会眼中泪光闪烁?

设置python环境变量了没有?

@alsotang 现在已经用到肉牛满面了。。。。好多东西都用不了。。。。

在 ubuntu下一样安装失败

应该是Python没装吧?另外楼主的nodejs版本多少?因为nodejs从0.11.x更新了v8引擎的版本,memwatch是基于v8的旧版本开发的(新版和旧版变化很大),所以gyp编译的时候会失败,目前这个项目已经不再更新了。所以目前要用memwatch的话,只能把nodejs暂时降到0.10.x

@jerrywu55 Ubuntu默认应该有装Python,如果还是失败的话,那应该就是nodejs版本的问题了。只能先用0.10.x的

@crystaldust 嗯 应该是,我的nodejs版本0.12 memwatch这个包好像已经停止维护很久了

如果调试到最后发现问题在于 windows 的话,楼主会不会眼中泪光闪烁?

回到顶部